# Additional editing of Makefiles
/^CEOF$/ i\
# DJGPP specific Makefile changes.\
  /^aliaspath *	*=/s,:,";",g\
  /TEXINPUTS=/s,:,";",g\
  /PATH=/s,:,";",g\
  s,\\.deps,_deps,g\
  s,\\.new\\.,_new.,g\
  s,\\.old\\.,_old.,g\
  s,\\.tab\\.,_tab.,g\
  s,Makefile\\.in\\.in,Makefile.in-in,g\
  s,Makefile\\.am\\.in,Makefile.am-in,g\
  /^man1dir[ 	]*=/ a\\\\\
cat1dir = \\\$(mandir)/cat1\
  /^installdirs:/,/^$/ s/man1dir/cat1dir/\
  /(INSTALL_DATA)/ {\
    s/\\.man/.1/\
    s/\\\\\\$(srcdir)/./\
    s/man1dir/cat1dir/\
  }\
  /^all:/ s/\$/ docs/\
  /^\\\\\\$(OBJS):/ a\\\\\
chdirsaf\\\$U.o: chdirsaf.c\\\\\
pc_quote\\\$U.o: pc_quote.c\
  $ a\\\\\
docs: patch.man\\\\\
	groff -man -Tascii \\\$(srcdir)/patch.man >patch.1


# Makefile.in.in is renamed to Makefile.in-in
/ac_config_files=/,/_ACEOF/ {
  s|po/Makefile\.in|&:po/Makefile.in-in|
}
/CONFIG_FILES=/ s|po/Makefile\.in|&:po/Makefile.in-in|2

# We always use _deps instead of .deps.
# This make the generated Makefiles good
# for every DJGPP installation, not only
# for the one with LFN support available.
s,\.deps,_deps,g

# Replace (command) > /dev/null with `command > /dev/null`, since
# parenthesized commands always return zero status in the ported Bash,
# even if the named command doesn't exist
/if ([^|;]*null/{
  s,(,`,
  s,),,
  /null[ 	]*2>&1/ s,2>&1,&`,
  /null.*null/ s,null.*null,&`,
  /null.*null/ !{
    /null[ 	]*2>&1/ !s,null,&`,
  }
}

# DOS-style absolute file names should be supported as well
/\*) top_srcdir=/s,/\*,[\\\\/]* | ?:[\\\\/]*,

# Prevent the spliting of conftest.subs.
# The sed script: conftest.subs is split into 48 or 90 lines long files.
# This will produce sed scripts called conftest.s1, conftest.s2, etc.
# that will not work if conftest.subs contains a multi line sed command
# at line #90. In this case the first part of the sed command will be the
# last line of conftest.s1 and the rest of the command will be the first lines
# of conftest.s2. So both script will not work properly.
# This matches the configure script produced by Autoconf 2.12
/ac_max_sed_cmds=[0-9]/ s,=.*$,=`sed -n "$=" conftest.subs`,

# The following two items are changes needed for configuring
# and compiling across partitions.
# 1) The given srcdir value is always translated from the
#    "x:" syntax into "/dev/x" syntax while we run configure.
/^[ 	]*-srcdir=\*.*$/ a\
    ac_optarg=`echo "$ac_optarg" | sed "s,^\\([A-Za-z]\\):,/dev/\\1,"`
/set X `ls -Lt \$srcdir/ i\
   if `echo $srcdir | grep "^/dev/" - > /dev/null`; then\
     srcdir=`echo "$srcdir" | sed -e "s%^/dev/%%" -e "s%/%:/%"`\
   fi

# Autoconf 2.52e generated configure scripts
# write absolute paths into Makefiles making
# them useless for DJGPP installations for which
# the package has not been configured for.

/MISSING=/,/^$/ {
  /^fi$/ a\
am_missing_run=`echo "$am_missing_run" | sed 's%/dev.*/sed-4\\.0-9%${top_srcdir}%'`
}

# Add DJGPP version information.
# /^#define VERSION/ s/\$VERSION/&  (DJGPP port 2004-03-26 (r2))/
/^[ 	]*VERSION=/ {
  s/=/="/
  s/$/  (DJGPP port 2004-03-26 (r2))"/
}

# We need makeinfo to make the html formated docs.
/\$am_missing_run[ 	]*makeinfo/ s,\$am_missing_run,,

# Add DJGPP specific files to library.
/^LIBOBJS=/ s/getopt1\\\$U.o getopt\\\$U.o/& chdirsaf\\$U.o pc_quote\\$U.o/
